Bug 1822943 - openshift-kube-storage-version-migrator namespace doesn't come back when deleted
Summary: openshift-kube-storage-version-migrator namespace doesn't come back when deleted
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-storage-version-migrator
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.5.0
Assignee: Sally
QA Contact: Ke Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-10 15:12 UTC by Sally
Modified: 2020-07-13 17:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-13 17:26:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-kube-storage-version-migrator-operator pull 15 0 None closed Bug 1822943: return sync error to add to queue 2021-01-27 14:41:48 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:27:13 UTC

Description Sally 2020-04-10 15:12:21 UTC
1) watch clusteroperator/kube-storage-version-migrator
2) delete operand namespace - openshift-kube-storage-version-migrator
3) wait - it should return via its operator, kube-storage-version-migrator-operator  - waited for at least 10min - clusteroperator is Degraded=True during this time, but operand namespace never returns
4) refresh kube-storage-version-migrator-operator pod in openshift-kube-storage-version-migrator-operator namespace
5) only after the operator pod comes back does its operand namespace return, CO status Progressing=true/Degraded=False, then few seconds after Progressing=False

The operator should restore its operand namespace.  Steps 4,5 should not be necessary.

Comment 4 Ke Wang 2020-06-01 07:51:07 UTC
Verified with OCP 4.5.0-0.nightly-2020-05-30-025738,

$ oc get namespaces  | grep openshift-kube-storage-version-migrator
openshift-kube-storage-version-migrator            Active   6h3m
openshift-kube-storage-version-migrator-operator   Active   6h13m

$ oc delete namespaces openshift-kube-storage-version-migrator
namespace "openshift-kube-storage-version-migrator" deleted

$ oc get namespaces  | grep openshift-kube-storage-version-migrator
openshift-kube-storage-version-migrator            Active   18s
openshift-kube-storage-version-migrator-operator   Active   6h14m

$ oc get co
NAME                                       VERSION                             AVAILABLE   PROGRESSING   DEGRADED   SINCE
...
kube-storage-version-migrator              4.5.0-0.nightly-2020-05-30-025738   True        False         False      17s
...

From above results, the namespace openshift-kube-storage-version-migrator returned back quickly as expected, move the bug verified.

Comment 5 errata-xmlrpc 2020-07-13 17:26:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.